Update Category Metafield
Updates a *Category Metafield*.
**Required Fields**
* none
**Read-Only Fields**
* id
* These fields can only be modified by the app (API credentials) that created the metafield:
* namespace
* key
* permission_set
**Usage Notes**
* Attempting to modify `namespace`, `key`, and `permission_set` fields using a client ID different from the one used to create those metafields will result in a 403 error message.
Authentication
X-Auth-Tokenstring
### OAuth scopes
| UI Name | Permission | Parameter |
|:--------|:-----------|:----------|
| Products | modify | `store_v2_products` |
| Products | read-only | `store_v2_products_read_only` |
### Authentication header
| Header | Argument | Description |
|:-------|:---------|:------------|
| `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). |
### Further reading
For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests).
For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes).
For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
Path parameters
category_id
The ID of the Category to which the resource belongs.
metafield_id
The ID of the Metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.
Request
This endpoint expects an object.
key
The name of the field, for example: location_id, color. Required for POST.
value
The value of the field, for example: 1, blue. Required for POST.
namespace
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_set
Determines the visibility and writeability of the field by other API consumers.
description
Description for the metafields.
Response
data
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error